Package org.eclipse.emf.cdo.server

## Interface IQueryHandlerProvider

- All Known Subinterfaces:
    `IDBStoreAccessor`, `ILissomeStoreAccessor`, `IMongoDBStoreAccessor`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`, `IRepository`, `IStoreAccessor`, `IStoreAccessor.Raw`, `IStoreAccessor.Raw2`, `IStoreAccessor.UnitSupport`, `ISynchronizableRepository`
  All Known Implementing Classes:
    `ContainerQueryHandlerProvider`, `FactoriesQueryHandlerProvider`, `LongIDStoreAccessor`, `StoreAccessor`, `StoreAccessorBase`

      public interface IQueryHandlerProvider

  Provides the consumer with `query handlers` that are capable of executing `queries` represented by specific `query infos`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IQueryHandler` | `getQueryHandler​(CDOQueryInfo info)` |

- - ### Method Detail

    - #### getQueryHandler

          IQueryHandler getQueryHandler​(CDOQueryInfo info)

      Since:
        3.0